[Pkg-samba-maint] Need help: Still unable to build 3.5

Christian Perrier bubulle at debian.org
Sun Dec 6 13:27:03 UTC 2009

(samba 3.5.0pre1 is in the experimental branch)

I'm still unable to build that version.

If I build the very same way we build samba 3.4, I get:

checking pkg-config is at least version 0.9.0... yes                                                             
checking for LIBTALLOC... no                                                                                     
configure: error: Unable to find libtalloc                                                                       

If I drop --enable-external-libtalloc, it goes further, but fails on
detecting ctdb.

checking for struct ctdb_control_tcp_addr... no
checking cluster support... configure: error: "ctdb_private.h is required for cluster support"
make: *** [configure] Error 1
dpkg-buildpackage: error: debian/rules build gave error exit status 2

Please note that, given changes that happened to the build system, I
had to drop the external-talloc.patch patch. From discussions with
upstream, I assumed that it had been applied in some way.


-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 198 bytes
Desc: Digital signature
URL: <http://lists.alioth.debian.org/pipermail/pkg-samba-maint/attachments/20091206/c208fe3d/attachment.pgp>

More information about the Pkg-samba-maint mailing list